SQL_FEATURE                              FEATURE_PATH                                                        DESCRIPTION                                          PROPERTY
---------------------------------------- ------------------------------------------------------------------- -------------------------------------------------- ----------
QKSFM_ACCESS_ADVISOR                     /ACCESS_ADVISOR                                                     sql access advisor                                          0
QKSFM_AQ                                 /AQ                                                                 Advanced Queuing                                            0
QKSFM_CDC                                /CDC                                                                change data capture                                         0
QKSFM_CLUSTERING                         /CLUSTERING                                                         table clustering clause                                     0
QKSFM_EXTTAB                             /EXTTAB                                                             External Tables                                             0
QKSFM_FBA                                /FBA                                                                Flashback Data Archive                                      0
QKSFM_MPGE                               /MPGE                                                               Multiple Plan Generation and Execution                      0
QKSFM_MVIEWS                             /MVIEWS                                                             materialized views                                          0
QKSFM_ONLINE_REDEF                       /ONLINE_REDEF                                                       online redefinition with mviews                             0
QKSFM_ALL                                /ALL                                                                A Universal Feature                                         0
..QKSFM_ANSI_REARCH                      /ALL/ANSI_REARCH                                                    ANSI rearcihtecture                                         0
..QKSFM_DDL                              /ALL/DDL                                                            DDL                                                         0
..QKSFM_EXECUTION                        /ALL/EXECUTION                                                      SQL EXECUTION                                               0
....QKSFM_STATS_ONLOAD                   /ALL/EXECUTION/STATS_ONLOAD                                         Statistics on load                                          0
....QKSFM_VECTOR_PROC                    /ALL/EXECUTION/VECTOR_PROC                                          Vector Processing                                           0
....QKSFM_WINDOW_CONSOLIDATOR            /ALL/EXECUTION/WINDOW_CONSOLIDATOR                                  WINDOW CONSOLIDATOR                                         0
..QKSFM_TYPECHECKING                     /ALL/TYPECHECKING                                                   SQL TYPECHECKING                                            0
..QKSFM_COMPILATION                      /ALL/COMPILATION                                                    SQL COMPILATION                                             0
....QKSFM_DATA_SECURITY_REWRITE          /ALL/COMPILATION/DATA_SECURITY_REWRITE                              XS Data Security Rewrite                                    0
....QKSFM_QUERY_REWRITE                  /ALL/COMPILATION/QUERY_REWRITE                                      query rewrite with materialized views                       0
....QKSFM_RBO                            /ALL/COMPILATION/RBO                                                SQL Rule Based Optimization                                 0
....QKSFM_SQL_CODE_GENERATOR             /ALL/COMPILATION/SQL_CODE_GENERATOR                                 SQL Code Generator                                          0
....QKSFM_SQL_MANAGEMENT_BASE            /ALL/COMPILATION/SQL_MANAGEMENT_BASE                                SQL Management base                                         0
....QKSFM_SQL_PLAN_MANAGEMENT            /ALL/COMPILATION/SQL_PLAN_MANAGEMENT                                SQL Plan Management                                         0
....QKSFM_XML_REWRITE                    /ALL/COMPILATION/XML_REWRITE                                        XML Rewrite                                                 0
......QKSFM_CHECK_ACL_REWRITE            /ALL/COMPILATION/XML_REWRITE/CHECK_ACL_REWRITE                      Check ACL Rewrite                                           0
......QKSFM_COST_XML_QUERY_REWRITE       /ALL/COMPILATION/XML_REWRITE/COST_XML_QUERY_REWRITE                 Cost Based XML Query Rewrite                                0
......QKSFM_XMLINDEX_REWRITE             /ALL/COMPILATION/XML_REWRITE/XMLINDEX_REWRITE                       XMLIndex Rewrite                                            0
....QKSFM_ZONEMAP                        /ALL/COMPILATION/ZONEMAP                                            Zone Maps                                                   0
....QKSFM_CBO                            /ALL/COMPILATION/CBO                                                SQL Cost Based Optimization                                 0
......QKSFM_ACCESS_PATH                  /ALL/COMPILATION/CBO/ACCESS_PATH                                    Query access path                                           0
........QKSFM_AND_EQUAL                  /ALL/COMPILATION/CBO/ACCESS_PATH/AND_EQUAL                          Index and-equal access path                                 0
........QKSFM_BITMAP_TREE                /ALL/COMPILATION/CBO/ACCESS_PATH/BITMAP_TREE                        Bitmap tree access path                                     0
........QKSFM_FULL                       /ALL/COMPILATION/CBO/ACCESS_PATH/FULL                               Full table scan                                             0
........QKSFM_INDEX                      /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX                              Index                                                       0
........QKSFM_INDEX_ASC                  /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_ASC                          Index (ascending)                                           0
........QKSFM_INDEX_COMBINE              /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_COMBINE                      Combine index for bitmap access                             0
........QKSFM_INDEX_DESC                 /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_DESC                         Use index (descending)                                      0
........QKSFM_INDEX_FFS                  /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_FFS                          Index fast full scan                                        0
........QKSFM_INDEX_JOIN                 /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_JOIN                         Index join                                                  0
........QKSFM_INDEX_RS_ASC               /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_RS_ASC                       Index range scan                                            0
........QKSFM_INDEX_RS_DESC              /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_RS_DESC                      Index range scan descending                                 0
........QKSFM_INDEX_SS                   /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_SS                           Index skip scan                                             0
........QKSFM_INDEX_SS_ASC               /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_SS_ASC                       Index skip scan ascending                                   0
........QKSFM_INDEX_SS_DESC              /ALL/COMPILATION/CBO/ACCESS_PATH/INDEX_SS_DESC                      Index skip scan descending                                  0
........QKSFM_SORT_ELIM                  /ALL/COMPILATION/CBO/ACCESS_PATH/SORT_ELIM                          Sort Elimination Via Index                                  0
......QKSFM_ADAPTIVE_PLAN                /ALL/COMPILATION/CBO/ADAPTIVE_PLAN                                  Adaptive plans                                              0
......QKSFM_AUTO_REOPT                   /ALL/COMPILATION/CBO/AUTO_REOPT                                     Automatic reoptimization                                    0
........QKSFM_PERF_FEEDBACK              /ALL/COMPILATION/CBO/AUTO_REOPT/PERF_FEEDBACK                       Performance feedback                                        0
........QKSFM_SHARD_INFO                 /ALL/COMPILATION/CBO/AUTO_REOPT/SHARD_INFO                          Shard information gathering and processing                  0
........QKSFM_STATS_FEEDBACK             /ALL/COMPILATION/CBO/AUTO_REOPT/STATS_FEEDBACK                      Statistics feedback                                         0
......QKSFM_BUSHY_JOIN                   /ALL/COMPILATION/CBO/BUSHY_JOIN                                     bushy join                                                  0
......QKSFM_CURSOR_SHARING               /ALL/COMPILATION/CBO/CURSOR_SHARING                                 Cursor sharing                                              0
......QKSFM_DML                          /ALL/COMPILATION/CBO/DML                                            DML                                                         0
......QKSFM_JOIN_METHOD                  /ALL/COMPILATION/CBO/JOIN_METHOD                                    Join methods                                                0
........QKSFM_USE_CUBE                   /ALL/COMPILATION/CBO/JOIN_METHOD/USE_CUBE                           Cube join                                                   0
........QKSFM_USE_HASH                   /ALL/COMPILATION/CBO/JOIN_METHOD/USE_HASH                           Hash join                                                   0
........QKSFM_USE_MERGE                  /ALL/COMPILATION/CBO/JOIN_METHOD/USE_MERGE                          Sort-merge join                                             0
........QKSFM_USE_MERGE_CARTESIAN        /ALL/COMPILATION/CBO/JOIN_METHOD/USE_MERGE_CARTESIAN                Merge join cartesian                                        0
........QKSFM_USE_NL                     /ALL/COMPILATION/CBO/JOIN_METHOD/USE_NL                             Nested-loop join                                            0
........QKSFM_USE_NL_WITH_INDEX          /ALL/COMPILATION/CBO/JOIN_METHOD/USE_NL_WITH_INDEX                  Nested-loop index join                                      0
......QKSFM_JOIN_ORDER                   /ALL/COMPILATION/CBO/JOIN_ORDER                                     Join order                                                  0
......QKSFM_OPT_MODE                     /ALL/COMPILATION/CBO/OPT_MODE                                       Optimizer mode                                              0
........QKSFM_ALL_ROWS                   /ALL/COMPILATION/CBO/OPT_MODE/ALL_ROWS                              All rows (optimizer mode)                                   0
........QKSFM_CHOOSE                     /ALL/COMPILATION/CBO/OPT_MODE/CHOOSE                                Choose (optimizer mode)                                     0
........QKSFM_FIRST_ROWS                 /ALL/COMPILATION/CBO/OPT_MODE/FIRST_ROWS                            First rows (optimizer mode)                                 0
......QKSFM_OR_EXPAND                    /ALL/COMPILATION/CBO/OR_EXPAND                                      OR expansion                                                0
......QKSFM_OUTLINE                      /ALL/COMPILATION/CBO/OUTLINE                                        Outlines                                                    0
......QKSFM_PARTIAL_JOIN                 /ALL/COMPILATION/CBO/PARTIAL_JOIN                                   Partial Join Evaluation                                     0
......QKSFM_PARTITION                    /ALL/COMPILATION/CBO/PARTITION                                      Partition                                                   0
......QKSFM_PQ                           /ALL/COMPILATION/CBO/PQ                                             Parallel Query                                              0
........QKSFM_PARALLEL                   /ALL/COMPILATION/CBO/PQ/PARALLEL                                    Parallel table                                              0
........QKSFM_PQ_DISTRIBUTE              /ALL/COMPILATION/CBO/PQ/PQ_DISTRIBUTE                               PQ Distribution method                                      0
........QKSFM_PQ_MAP                     /ALL/COMPILATION/CBO/PQ/PQ_MAP                                      PQ slave mapper                                             0
........QKSFM_PQ_REPLICATE               /ALL/COMPILATION/CBO/PQ/PQ_REPLICATE                                PQ replicate small tables                                   0
........QKSFM_PX_JOIN_FILTER             /ALL/COMPILATION/CBO/PQ/PX_JOIN_FILTER                              Bloom filtering for joins                                   0
......QKSFM_STAR_TRANS                   /ALL/COMPILATION/CBO/STAR_TRANS                                     Star Transformation                                         2
........QKSFM_TABLE_LOOKUP_BY_NL         /ALL/COMPILATION/CBO/STAR_TRANS/TABLE_LOOKUP_BY_NL                  Table Lookup By Nested Loop                                 4
......QKSFM_STATS                        /ALL/COMPILATION/CBO/STATS                                          Optimizer statistics                                        0
........QKSFM_CARDINALITY                /ALL/COMPILATION/CBO/STATS/CARDINALITY                              Cardinality computation                                     0
........QKSFM_COLUMN_STATS               /ALL/COMPILATION/CBO/STATS/COLUMN_STATS                             Basic column statistics                                     0
........QKSFM_CPU_COSTING                /ALL/COMPILATION/CBO/STATS/CPU_COSTING                              CPU costing                                                 0
........QKSFM_DBMS_STATS                 /ALL/COMPILATION/CBO/STATS/DBMS_STATS                               Statistics gathered by DBMS_STATS                           0
........QKSFM_DYNAMIC_SAMPLING           /ALL/COMPILATION/CBO/STATS/DYNAMIC_SAMPLING                         Dynamic sampling                                            0
........QKSFM_DYNAMIC_SAMPLING_EST_CDN   /ALL/COMPILATION/CBO/STATS/DYNAMIC_SAMPLING_EST_CDN                 Estimate CDN using dynamic sampling                         0
........QKSFM_GATHER_PLAN_STATISTICS     /ALL/COMPILATION/CBO/STATS/GATHER_PLAN_STATISTICS                   Gather plan statistics                                      0
........QKSFM_INDEX_STATS                /ALL/COMPILATION/CBO/STATS/INDEX_STATS                              Basic index statistics                                      0
........QKSFM_OPT_ESTIMATE               /ALL/COMPILATION/CBO/STATS/OPT_ESTIMATE                             Optimizer estimates                                         0
........QKSFM_TABLE_STATS                /ALL/COMPILATION/CBO/STATS/TABLE_STATS                              Basic table statistics                                      0
....QKSFM_TRANSFORMATION                 /ALL/COMPILATION/TRANSFORMATION                                     Query Transformation                                        1
......QKSFM_CLUSTER_BY_ROWID             /ALL/COMPILATION/TRANSFORMATION/CLUSTER_BY_ROWID                    Cluster By Rowid Transformation                             0
......QKSFM_GROUPING_SET_XFORM           /ALL/COMPILATION/TRANSFORMATION/GROUPING_SET_XFORM                  Grouping Set Transformation                                 0
......QKSFM_CBQT                         /ALL/COMPILATION/TRANSFORMATION/CBQT                                Cost Based Query Transformation                             0
........QKSFM_CBQT_OR_EXPANSION          /ALL/COMPILATION/TRANSFORMATION/CBQT/CBQT_OR_EXPANSION              Cost Based OR Expansion                                     2
........QKSFM_CVM                        /ALL/COMPILATION/TRANSFORMATION/CBQT/CVM                            Complex View Merging                                        2
........QKSFM_DIST_PLCMT                 /ALL/COMPILATION/TRANSFORMATION/CBQT/DIST_PLCMT                     Distinct Placement                                          2
........QKSFM_JOINFAC                    /ALL/COMPILATION/TRANSFORMATION/CBQT/JOINFAC                        Join Factorization                                          2
........QKSFM_JPPD                       /ALL/COMPILATION/TRANSFORMATION/CBQT/JPPD                           Join Predicate Push Down                                    0
........QKSFM_PLACE_GROUP_BY             /ALL/COMPILATION/TRANSFORMATION/CBQT/PLACE_GROUP_BY                 Group-By Placement                                          0
........QKSFM_PULL_PRED                  /ALL/COMPILATION/TRANSFORMATION/CBQT/PULL_PRED                      pull predicates                                             0
........QKSFM_STAR_TRANS                 /ALL/COMPILATION/TRANSFORMATION/CBQT/STAR_TRANS                     Star Transformation                                         2
..........QKSFM_TABLE_LOOKUP_BY_NL       /ALL/COMPILATION/TRANSFORMATION/CBQT/STAR_TRANS/TABLE_LOOKUP_BY_NL  Table Lookup By Nested Loop                                 4
........QKSFM_TABLE_EXPANSION            /ALL/COMPILATION/TRANSFORMATION/CBQT/TABLE_EXPANSION                Table Expansion                                             4
........QKSFM_UNNEST                     /ALL/COMPILATION/TRANSFORMATION/CBQT/UNNEST                         unnest query block                                          0
........QKSFM_VECTOR_AGG                 /ALL/COMPILATION/TRANSFORMATION/CBQT/VECTOR_AGG                     Vector Transformation                                       0
......QKSFM_HEURISTIC                    /ALL/COMPILATION/TRANSFORMATION/HEURISTIC                           Heuristic Query Transformation                              0
........QKSFM_ANSWER_QUERY_USING_STATS   /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/ANSWER_QUERY_USING_STATS  Statistics-based Query Transformation                       0
........QKSFM_CNT                        /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/CNT                       Count(col) to count(*)                                      0
........QKSFM_COALESCE_SQ                /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/COALESCE_SQ               coalesce subqueries                                         0
........QKSFM_CSE                        /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/CSE                       Common Sub-Expression Elimination                           0
........QKSFM_CVM                        /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/CVM                       Complex View Merging                                        2
........QKSFM_DECORRELATE                /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/DECORRELATE               View Decorrelation                                          0
........QKSFM_ELIMINATE_SQ               /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/ELIMINATE_SQ              eliminate subqueries                                        0
........QKSFM_FILTER_PUSH_PRED           /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/FILTER_PUSH_PRED          Push filter predicates                                      0
........QKSFM_FULL_OUTER_JOIN_TO_OUTER   /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/FULL_OUTER_JOIN_TO_OUTER  Join Conversion                                             4
........QKSFM_GBYEL                      /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/GBYEL                     Group-by Elimination                                        0
........QKSFM_JPPD                       /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/JPPD                      Join Predicate Push Down                                    0
........QKSFM_OBYE                       /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/OBYE                      Order-by Elimination                                        0
........QKSFM_OLD_PUSH_PRED              /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/OLD_PUSH_PRED             Old push predicate algorithm (pre-10.1.0.3)                 0
........QKSFM_OUTER_JOIN_TO_ANTI         /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/OUTER_JOIN_TO_ANTI        Join Conversion                                             4
........QKSFM_OUTER_JOIN_TO_INNER        /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/OUTER_JOIN_TO_INNER       Join Conversion                                             4
........QKSFM_PRED_MOVE_AROUND           /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/PRED_MOVE_AROUND          Predicate move around                                       0
........QKSFM_SET_TO_JOIN                /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/SET_TO_JOIN               Transform set operations to joins                           0
........QKSFM_SVM                        /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/SVM                       Simple View Merging                                         2
........QKSFM_TABLE_ELIM                 /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/TABLE_ELIM                Table Elimination                                           4
........QKSFM_UNNEST                     /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/UNNEST                    unnest query block                                          0
........QKSFM_USE_CONCAT                 /ALL/COMPILATION/TRANSFORMATION/HEURISTIC/USE_CONCAT                Or-optimization                                             0
