select option_id, option_name from dba_hist_plan_option_name
minus 
select option_id, option_name from oracle122.dba_hist_plan_option_name;

doc
 OPTION_ID OPTION_NAME
---------- ----------------------------------------------------------------
       231 SAMPLE
       243 BY INDEX ROWID READ OPTIM        
       244 UNIQUE SCAN READ OPTIM           
       245 BY GLOBAL INDEX ROWID READ OPTIM 
       246 HASH (NULL RANDOM)
       247 SHARED
       248 SHARED BUFFERED

-- READ OPTIM: https://richardfoote.wordpress.com/2018/03/05/oracle-database-18c-introduction-to-memoptimized-rowstore-memory-of-a-free-festival/
#
